Subject: Re: [PATCH v2 03/10] t/unit-tests: convert reftable block test to use clar

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 5 May 2025 11:52:09 +0200

On Mon, May 05, 2025 at 08:37:27AM +0100, Seyi Chamber wrote:
> On Fri, 2 May 2025 at 10:57, Patrick Steinhardt <[email-masked]> wrote:
> >
> > On Tue, Apr 29, 2025 at 06:52:55PM +0100, Seyi Kuforiji wrote:
> > > diff --git a/t/unit-tests/t-reftable-block.c b/t/unit-tests/t-reftable-block.c
> > > deleted file mode 100644
> > > index 22040aeefa..0000000000
> > > --- a/t/unit-tests/t-reftable-block.c
> > > +++ /dev/null
> >
> > Hm, why is this recorded as a delete and creation? Weird, inspecting the
> > diff locally properly shows it as a rename, which makes it a ton easier
> > to review. It would be great if you could try to play around with the
> > `--find-renames` option in the next iteration of this series and double
> > check that these are shown as a rename.
> >
> 
> I used `--find-renames=90` for this patch series. Is there any
> recommended number to set it to? :/

Note that "90" also isn't interpreted the way you think it is, at least
going by git-format-patch(1):

    -M[<n>], --find-renames[=<n>]
        Detect renames. If <n> is specified, it is a threshold on the similarity index (i.e. amount
        of addition/deletions compared to the file’s size). For example, -M90% means Git should
        consider a delete/add pair to be a rename if more than 90% of the file hasn’t changed.
        Without a % sign, the number is to be read as a fraction, with a decimal point before it.
        I.e., -M5 becomes 0.5, and is thus the same as -M50%. Similarly, -M05 is the same as -M5%.
        To limit detection to exact renames, use -M100%. The default similarity index is 50%.

What you probably wanted to say is `--find-renames=90%`, but without the
percentage sign it is read as a fraction, where 1 means "exact copy" and
0 means "all different".

I'd recommend to just play around with this option and inspect the
outcome until things look reviewable. :)

Patrick